#ifndef __DDS_h_
#define __DDS_h_
//
//	DDS-60 et tilkoblet PIC18F4553 p flgende pinde:
//      DDS               CPU
// -----------------------------
//		DATA 	(pin3) 	= RC7
//		CLOCK 	(pin2)	= RB5
//		LOAD 	(pin1) 	= RA3
// (rettet den 24.12.2009)
//*******************************************************************
// Kalibrerings-vrdi for njagtig frekvensjustering.
// DDS-60 har CLOCK-krystal-osc. p 30 MHz, og er opsat til
// at kre med intern multiplier ( 6 x 30 = 180000000 ).
// DDS-CLOCK kan justeres, sledes at en 
// evt. krystal-frekvens-afvigelse kan elemineres.
// I mit tilflde, skulle frekvensjusteringen sledes 
// ndre ved at fratrkke 2750 hz ( se herunder).
// ********************************************************
#define DDS_CLOCK 		179990100
#define DDSDATA 		PORTCbits.RC7
#define DDSCLOCK 		PORTBbits.RB5
#define DDSLOAD 		PORTAbits.RA3
#define DDSDATATRIS  	TRISCbits.TRISC7
#define DDSCLOCKTRIS 	TRISBbits.TRISB5
#define DDSLOADTRIS  	TRISAbits.TRISA3

// EXTERN DEFINITIONER
extern void DDSsetup(void);
extern void DDSloop(void);
extern void sendFrequency(unsigned long);
extern void byte_out(unsigned char);
extern void outOne(void);
extern void outZero(void);
extern void KnapScan(void);
extern void KnapTest(void);
extern unsigned long frequens;
extern unsigned long frequency;

// ************************************************************
// **********   DISPLAY- variable *****************************
// ************************************************************
//
// Display bestr 4 linier af 20 karakterer
// Linie 1 5 karakterer - VFOptr ( VFO-A, VFO-B, VFO-C 


#endif