// *******************************************
// *** Definitioner til PIC18F4553         ***
// *** Indsat den 25.12.2009               ***
// *******************************************
#ifndef __Porte_h_
#define __Porte_h_
#include "DDS.h"
// definitioner...
#define band1		PORTAbits.RA0		// Bnd 1 160 meter
#define band2		PORTAbits.RA1		// Bnd 2 80 meter
#define band3		PORTAbits.RA2		// Bnd 3 40 meter
#define band4		PORTAbits.RA4		// Bnd 4 30 meter

#define STEP_POINTER	PORTEbits.RE0	// 1:STEP-POINTER-KNAP toggle 1,10,100,1000
#define BAND_POINTER	PORTEbits.RE2	// 2:BAND, Bndskifte
#define zband			PORTCbits.RC0	// 3:ZBAND, set bndgrnser
#define UPstep 			PORTCbits.RC1	// 4:UP-knap
#define DOWNstep 		PORTCbits.RC2	// 5:DOWN-knap
#define scan			PORTAbits.RA5	// 6:MF SET (accept)
#define sweep			PORTBbits.RB2	// 7:Sweep Band or 0 - 60 MHz
#define StandardVFO		PORTCbits.RC6	// 8:Setup MF (setup)
#define esweep			PORTBbits.RB4	// 9;Signalgeneratorfunktion 0 - 60 MHz
#define SWEEPband		PORTBbits.RB3	// 10:MEMORY OFF


#define RESET_all		PORTEbits.RE0  	// Null-set all INIT

#define ATRIS 		TRISA				// TRISA (= OUTPUT DIGITAL)
#define band1TRIS	TRISAbits.TRISA0	// Bndvlger til Bandpass-filter samt dioder p forpladen
#define band2TRIS	TRISAbits.TRISA1
#define band3TRIS	TRISAbits.TRISA2
#define band4TRIS	TRISAbits.TRISA4
//#define band5TRIS	TRISAbits.TRISA3

#define scanTRIS	TRISAbits.TRISA5

#define stepTRIS 			TRISEbits.TRISE0 	// STEP TRIS 		(= INPUT DIGITAL)
#define bandTRIS 			TRISEbits.TRISE2 	// BAND TRIS 		(= INPUT DIGITAL)
#define zbandTRIS 			TRISCbits.TRISC0 	// ZeroBAND TRIS 	(= INPUT DIGITAL)
#define UPstepTRIS 			TRISCbits.TRISC1 	// UP TRIS 			(= INPUT DIGITAL)
#define DOWNstepTRIS 		TRISCbits.TRISC2 	// DOWN TRIS 		(= INPUT DIGITAL)
#define StandardVFOTRIS 	TRISCbits.TRISC6 	// MF TRIS 		    (= INPUT DIGITAL)
#define esweepTRIS 			TRISBbits.TRISB4 	// SWEEP TRIS 		(= INPUT DIGITAL)
#define SWEEPbandTRIS 		TRISBbits.TRISB3 	// SWEEPband TRIS 	(= INPUT DIGITAL)  Ubenyttet
#define sweepTRIS 			TRISBbits.TRISB2 	// SWEEP TRIS 		(= INPUT DIGITAL)
#define ZEROALLTRIS			TRISDbits.TRISD3 	// ZEROALL TRIS 	(= INPUT DIGITAL)



#define ROTATORa 	PORTBbits.RB0		// Rotator = PORTB, port RB0 og RB1
#define ROTATORb 	PORTBbits.RB1		// Rotator = PORTB, port RB0 og RB1

#define ROTATORaTRIS  	TRISBbits.TRISB0		// Rotator = PORTB, port RB0 og RB1
#define ROTATORbTRIS  	TRISBbits.TRISB1

// EXTERN DEFINITIONER
extern void KnapTest(void);
extern void KnapScan(void);
extern void sendFrequency(unsigned long);	// unsignet long "frequency"
extern void initialPorts(void);
extern void udskrivStep(unsigned long frq);
extern void DDSSweep(void);

extern void udskrivFRQ(unsigned long frq);

extern int menuflag;
extern int ksFlag;
#endif
